extends Node
class_name SignalsNode

signal new_position_sensor_added(sensor_ip: String)
signal new_orientation_sensor_added(sensor_ip: String)

signal requested_host_vehicle(requester: Node)

# sensor updates
signal sensor_pnt_updated(ip_address: String)
signal sensor_sats_updated(ip_address: String)
signal sensor_accel_updated(ip_address: String)
signal sensor_gyro_updated(ip_address: String)
signal sensor_mag_updated(ip_address: String)

signal heading_updated(ip_address: String, heading_rad: float)
signal altitude_updated(ip_address: String, altitude_km: float)
signal position_updated(ip_adress: String, position_3d: Vector3)
signal sat_count_updated(ip_address: String, sat_count_array: Array)
signal sat_position_updated(ip_adress: String, sat_position_array: Array)
signal linear_acceleration_updated(ip_address: String, linear_acceleration: Array)

signal vehicle_added(vehicle: VehicleNode)
signal vehicle_removed(vehicle_id: String)
